<?php
class LeyendasModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $id, $codigoActividad,$descripcionLeyenda;

    public function insertLeyendas(int $codigoActividad,string $descripcionLeyenda)
    {
        $this->codigoActividad = $codigoActividad;
        
        $this->descripcionLeyenda = $descripcionLeyenda;
        $sql = "insert into sleyendas (codigoActividad,descripcionLeyenda) values (?,?)";
        $datos = array($this->codigoActividad,$this->descripcionLeyenda);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getLeyendas()
    {
        $sql = "select * from sleyendas";
        $data = $this->selectAll($sql);
        return $data;
    }

    public function getLeyendasAct($actividad)
    {
        $sql = "select * from sleyendas where codigoActividad=".$actividad;
        $data = $this->selectAll($sql);
        return $data;
    }
    
    public function getLeyenda(string $descripcionLeyenda)
    {
        $this->descripcionLeyenda=$descripcionLeyenda;
        $sql = "select * from sleyendas where descripcionLeyenda= '".$this->descripcionLeyenda."'";
        
        $data = $this->select($sql);
        return $data;
    }

    public function getLeyendasCod(int $codigoActividad)
    {
        $this->codigoActividad=$codigoActividad;
        $sql = "select * from sleyendas where codigoActividad=".$this->codigoActividad;
        $data = $this->selectAll($sql);
        return $data;
    }

    

}
?>